=== modified file 'bzrlib/__init__.py'
--- bzrlib/__init__.py	2010-11-26 17:59:08 +0000
+++ bzrlib/__init__.py	2010-12-02 15:48:12 +0000
@@ -52,7 +52,7 @@
 # Python version 2.0 is (2, 0, 0, 'final', 0)."  Additionally we use a
 # releaselevel of 'dev' for unreleased under-development code.
 
-version_info = (2, 3, 0, 'dev', 4)
+version_info = (2, 3, 0, 'beta', 4)
 
 # API compatibility version
 api_minimum_version = (2, 3, 0)

=== modified file 'doc/developers/releasing.txt'
--- doc/developers/releasing.txt	2010-12-02 10:41:05 +0000
+++ doc/developers/releasing.txt	2010-12-02 15:48:12 +0000
@@ -163,7 +163,7 @@
    Double check that ./bzr ``_script_version`` matches ``version_info``. Check
    the output of ``bzr --version``.
 
-   For beta releases use::
+   For betahttps://code.edge.launchpad.net/~knittl/bzr/fix-inventory-r0/+merge/354985 releases use::
 
        version_info = (2, 1, 0, 'beta', SERIAL)
 
@@ -195,9 +195,8 @@
 
      ./tools/check-newsbugs.py doc/en/release-notes/bzr-x.y.txt
 
-   (But note there can be some false positives, and this script may be
-   flaky <https://bugs.launchpad.net/bzr/+bug/354985>.  Don't let
-   this slow you down too much.)
+   (As of 2011-12-03, only a few false positives remain. Don't let this slow
+   you down too much.)
 
 #. Commit these changes to the release branch, using a command like::
 

=== modified file 'doc/en/release-notes/bzr-2.3.txt'
--- doc/en/release-notes/bzr-2.3.txt	2010-12-02 10:41:05 +0000
+++ doc/en/release-notes/bzr-2.3.txt	2010-12-02 15:48:12 +0000
@@ -8,18 +8,27 @@
 bzr 2.3b4
 #########
 
-:2.3.b4: NOT RELEASED YET
+:2.3.b4: 2010-12-03
+
+This is the fourth beta of the 2.3 series, leading up to a 2.3.0 release in
+February. Beta releases are suitable for everyday use but may cause some
+incompatibilities with plugins.
+
+2.3b4 includes bug fixes for the ``config`` command and conflict
+resolution. More changes were made for the test scripts handling to make it
+easier to add reproducing recipes to bugs.
+
+It also includes bug fixes from the 2.2.2 release as well as the bug fixes
+in the upcoming 2.0.7, 2.1.4 and 2.2.3 releases. This means that all known
+fixed bugs at the time of this release are included.
+
 
 External Compatibility Breaks
 *****************************
 
 .. These may require users to change the way they use Bazaar.
 
-
-New Features
-************
-
-.. New commands, options, etc that users may wish to try out.
+  (none)
 
 Improvements
 ************
@@ -71,16 +80,9 @@
 
 * Report error if non-ASCII command option given. (Rory Yorke, #140563)
 
-Documentation
-*************
-
-.. Improved or updated documentation.
-
-API Changes
-***********
-
-.. Changes that may require updates in plugins or other code that uses
-   bzrlib.
+* ``tools/check-newsbug.py`` is now based on ``lp:hydrazine`` and no longer
+  crashes when encountering private bugs (they are just displayed as such).
+  (Vincent Ladeuil, #354985)
 
 Internals
 *********
@@ -395,7 +397,7 @@
   (Andrew Bennetts, #632387)
 
 * Skip tests that needs a bzr source tree when there isn't one. This is
-  needed to succesfully run the test suite for installed versions.
+  needed to successfully run the test suite for installed versions.
   (Vincent Ladeuil, #644855).
 
 * Skip the tests that requires respecting the chmod bits when running as root.
@@ -471,7 +473,7 @@
 * ``bzr remove`` now just backs up changed files instead of exiting,
   forcing you to choose to either keep or delete them. Bazaar will now delete
   the files if they can easily be recovered using revert, otherwise they
-  will be backed up (adding an extention of the form .~#~).
+  will be backed up (adding an extension of the form .~#~).
   (Marius Kruger, #400554)
 
 * ``bzr revert`` and ``bzr status`` are up to 15% faster on large trees

=== modified file 'doc/en/whats-new/whats-new-in-2.3.txt'
--- doc/en/whats-new/whats-new-in-2.3.txt	2010-11-29 01:23:53 +0000
+++ doc/en/whats-new/whats-new-in-2.3.txt	2010-12-02 15:48:12 +0000
@@ -53,6 +53,12 @@
   ``bzr launchpad-login user && bzr push lp:~/project/branch`` will now
   push to ``lp:~user/project/branch``.  (John Arbash Meinel)
 
+* Launchpad has announced that the ``edge.launchpad.net`` instance is
+  deprecated and may be shut down in the future
+  <http://blog.launchpad.net/general/edge-is-deprecated>.  Bazaar has therefore
+  been updated in this release to talk to the main (``launchpad.net``) servers,
+  rather than the ``edge`` ones.
+
 Performance improvements
 ************************
 

=== modified file 'tools/check-newsbugs.py'
--- tools/check-newsbugs.py	2010-12-02 10:41:05 +0000
+++ tools/check-newsbugs.py	2010-12-02 15:48:12 +0000
@@ -12,7 +12,7 @@
 try:
     import hydrazine
 except ImportError:
-    print "Please install hydrazine from lp:launchpadlib"
+    print "Please install hydrazine from lp:hydrazine"
     sys.exit(1)
 
 

